oCoreoCore Docs
API Reference

Banners

List all banners

Returns all system banners (active and inactive).

GET
/admin/banners

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/admin/banners" \
  -H "Authorization: <token>"

OK

{
  "banners": [
    {}
  ]
}

Create a banner

Creates a new system-wide banner notification.

POST
/admin/banners

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Banner details

activeboolean
dismissibleboolean
endsAtstring
messagestring
severitystring
startsAtstring
curl -X POST "//api.ocore.dev/api/admin/banners" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "active": true,
    "dismissible": true,
    "endsAt": "string",
    "message": "string",
    "severity": "string",
    "startsAt": "string"
  }'

Created

{}

Delete a banner

Permanently removes a system banner.

DELETE
/admin/banners/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Banner ID

Format: "uuid"
curl -X DELETE "//api.ocore.dev/api/admin/banners/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Update a banner

Updates an existing banner's content, type, or active status.

PUT
/admin/banners/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Updated banner

activeboolean
dismissibleboolean
endsAtstring
messagestring
severitystring
startsAtstring

Path Parameters

idRequiredstring

Banner ID

Format: "uuid"
curl -X PUT "//api.ocore.dev/api/admin/banners/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "active": true,
    "dismissible": true,
    "endsAt": "string",
    "message": "string",
    "severity": "string",
    "startsAt": "string"
  }'

OK

{}

Get active banners

Returns all currently active system banners. No authentication required.

GET
/banners/active
curl -X GET "//api.ocore.dev/api/banners/active"

OK

{
  "banners": [
    {}
  ]
}

Was this page helpful?